Skip to main content
GET
Get Entity Onboarding Status (Banking Connectivity)
Retrieve the current status of an entity onboarding. See Onboarding statuses for the full status lifecycle.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

entity_id
string
required

The id of the entity obtained from Create Entity.

onboarding_id
string
required

The id of the onboarding obtained from Create Entity Onboarding.

Response

id
string
Example:

"990e8400-e29b-41d4-a716-446655440000"

entity_id
string
Example:

"660e8400-e29b-41d4-a716-446655440000"

account_id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

provider
object

The provider onboarding details. Optional: the field is omitted when empty.

onboarding_type
string
Example:

"ONE_STEP"

status
string
Example:

"PENDING"

requirements
object[]

Open requirements for the onboarding. Optional: the field is omitted when empty.

created_at
string
Example:

"2026-02-01T10:00:00Z"

updated_at
string
Example:

"2026-02-01T10:00:00Z"

expires_at
string

When the onboarding expires. Optional: the field is omitted when empty.

Example:

"2026-02-08T10:00:00Z"